Subject: Re: bug#23529: Request for fixing randomize_va_space build issues

From: Philippe Vaucher <[email-masked]>
Date: Wed, 7 Sep 2016 09:12:24 +0200

>
> Although Emacs can do this sort of work itself (e.g., randomizing
> locations of dumped objects, munging pointers as they come in to match the
> random locations, and using mmap to make the relevant objects const), it
> should be better for Emacs to use the linking technology already available
> on modern platforms, rather than trying to reinvent the wheel.
>

I agree.

Would that also avoid having to require special privileges when building?
e.g the "personality" syscall.

Philippe